Bug 1349332 - Clone creation is successful in Slave Node
Summary: Clone creation is successful in Slave Node
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RBD
Version: 2.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: 2.1
Assignee: Jason Dillaman
QA Contact: Rachana Patel
Bara Ancincova
URL:
Whiteboard: 21_pri_1
Depends On:
Blocks: 1322504 1383917
TreeView+ depends on / blocked
 
Reported: 2016-06-23 09:01 UTC by Tanay Ganguly
Modified: 2017-07-30 15:31 UTC (History)
4 users (show)

Fixed In Version: RHEL: ceph-10.2.3-2.el7cp Ubuntu: ceph_10.2.3-3redhat1xenial
Doc Type: Bug Fix
Doc Text:
Documented with BZ#1348928
Clone Of:
Environment:
Last Closed: 2016-11-22 19:27:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 16449 None None None 2016-06-23 13:58:14 UTC
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Description Tanay Ganguly 2016-06-23 09:01:31 UTC
Description of problem:
Clone getting created on Slave Node, on an already existing snapshot which is  from Master to Slave Node

Version-Release number of selected component (if applicable):
10.2.2-5.el7cp

How reproducible:
Always

Steps to Reproduce:
1. Create an Image, take snap, protect it, create Clone
2. After the Clone and Parent Image sync's, try to create snap on an existing Image from Slave Node 

rbd clone test/liver3@snap3 test/bug --cluster slave


Actual results:
Clone gets created on Slave Node.

Expected results:
Slave Node should be read only and Clone creation should not be allowed.

Additional info:


Image Information from Slave Node:

rbd image 'bug':
        size 11111 MB in 2778 objects
        order 22 (4096 kB objects)
        block_name_prefix: rbd_data.3aeb3d1b58ba
        format: 2
        features: layering, exclusive-lock, object-map, fast-diff, deep-flatten
        parent: test/liver3@snap3
        overlap: 11111 MB

Comment 2 Jason Dillaman 2016-06-23 11:22:30 UTC
Technically the parent is still read-only -- but we should probably disallow this case.

Comment 3 Jason Dillaman 2016-08-10 18:40:21 UTC
Upstream pull request: https://github.com/ceph/ceph/pull/10123

Comment 9 Rachana Patel 2016-10-22 21:37:26 UTC
Verified with build - 10.2.3-8.el7cp.x86_64

Unable to create Clone on slave/remote cluster

[root@magna078 ubuntu]# rbd clone pool1/bug2@snap2 pool1/slave2 --cluster slave
2016-10-22 21:01:40.175192 7f9a75f32d80 -1 librbd: parent is non-primary mirrored image
rbd: clone error: (22) Invalid argument


Hence moving to verified

Comment 11 errata-xmlrpc 2016-11-22 19:27:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.